Bug 576296 - xfsprogs-devel is missing uuid/uuid.h dependency
Summary: xfsprogs-devel is missing uuid/uuid.h dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfsprogs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-23 18:25 UTC by Brad S
Modified: 2010-05-10 23:50 UTC (History)
2 users (show)

Fixed In Version: xfsprogs-3.1.1-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 17:02:37 UTC
Type: ---


Attachments (Terms of Use)

Description Brad S 2010-03-23 18:25:55 UTC
Description of problem:
xfsprogs-devel is missing a dependency.

Version-Release number of selected component (if applicable):
3.0.3-2

How reproducible:
Every time

Steps to Reproduce:
1. Add #include <xfs/xfs.h> to a C file
2. Compile
  
Actual results:
Missing header uuid/uuid.h

Expected results:
a.out

Additional info:
Just add libuuid-devel (not uuid-devel, which puts uuid.h elsewhere) to the dependency list I believe.

Comment 1 Ondrej Vasik 2010-03-24 06:43:53 UTC
Reassigning to xfsprogs - I don't see any connection with filesystem component. Filesystem is just component with basic system directory layout.

Comment 2 Eric Sandeen 2010-03-24 15:29:23 UTC
Hm, xfsprogs-3.0.3-2 BuildRequires libuuid-devel, but you're right, there is no runtime dependency.  Sounds like the best path is to create a pkgconfig file, but I'll have to look into how that works.

(If you happen to be a pkgconfig expert I'd happily accept a patch) :)

Thanks,
-Eric

Comment 3 Eric Sandeen 2010-04-01 18:40:15 UTC
Fixed in rawhide now, just added libuuid-devel as suggested.

Will eventually push the change to F12 ... need to work out what I can do with F13 baking right now, so f12 doesn't get fixes f13 doesn't have.

Comment 4 Fedora Update System 2010-04-19 19:39:22 UTC
xfsprogs-3.0.3-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xfsprogs-3.0.3-3.fc12

Comment 5 Fedora Update System 2010-04-19 19:40:21 UTC
xfsprogs-3.1.1-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xfsprogs-3.1.1-7.fc13

Comment 6 Eric Sandeen 2010-04-19 19:45:25 UTC
Pushed to testing repos for f12 and f13.

Comment 7 Fedora Update System 2010-04-21 02:17:24 UTC
xfsprogs-3.0.3-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfsprogs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xfsprogs-3.0.3-3.fc12

Comment 8 Fedora Update System 2010-04-21 02:22:17 UTC
xfsprogs-3.1.1-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfsprogs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xfsprogs-3.1.1-7.fc13

Comment 9 Fedora Update System 2010-05-10 17:02:32 UTC
xfsprogs-3.0.3-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-10 23:50:04 UTC
xfsprogs-3.1.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.